This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 161080 - Missing BuildRequires dependency on desktop-file-utils
Missing BuildRequires dependency on desktop-file-utils
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 10:32 EDT by Andreas Thienemann
Modified: 2008-02-01 09:35 EST (History)
0 users

See Also:
Fixed In Version: firefox-1.5.0.9-0.1.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 09:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2005-06-20 10:32:55 EDT
During a testbuild of mozilla-1.7.3-18.EL4 in mock, the rebuild process
stops with the following error:

+ desktop-file-install --vendor mozilla --dir
/var/tmp/mozilla-root/usr/share/applications --add-category X-Fedora --add-categ
ory Application --add-category Network /builddir/build/SOURCES/mozilla.desktop
/var/tmp/rpm-tmp.59503: line 234: desktop-file-install: command not found
error: Bad exit status from /var/tmp/rpm-tmp.59503 (%install)

Adding desktop-file-utils to the BuildRequires list should fix this problem.
Note: Even though I tested the SRPM from RHEL4, the same problem exists in rawhide.
The issue is the same as with the thunderbird package: desktop-file-utils is
already defined as a PreReq but it is needed for BuildPreReq as well.
Comment 1 Matěj Cepl 2008-02-01 09:35:35 EST
Fixed in both RHEL4 and Rawhide.

Note You need to log in before you can comment on or make changes to this bug.